#### basic_serial_port::operator=

Move-assign a `basic_serial_port` from another.

    basic_serial_port & operator=(
        basic_serial_port && other);

This assignment operator moves a serial port from one object to another.

###### Parameters

other

  The other `basic_serial_port` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_serial_port(const executor_type&)` constructor.